import { ApolloError } from "@apollo/client/errors";
interface MutationOptionsInterface {
    response?: string;
}
export declare const useMutation: <TResult = any, TInput = any>(name: string, options?: MutationOptionsInterface) => {
    isLoading: import("vue").Ref<boolean>;
    error: import("vue").Ref<ApolloError | null>;
    submit(data: TInput): Promise<any>;
};
export {};
