export const toCamelCase = (str) => str
    .replace(/[A-Z]/g, (letter, index) => index > 0 ? " " + letter.toLowerCase() : letter)
    .toLowerCase()
    .replace(/([-_\s][a-z])/g, (group) => group.toUpperCase().replace("-", "").replace("_", "").replace(" ", ""));
