interface UserInterface {
    subject: string;
    tenant_alias: string;
    tenant_id: string;
    access_token: string;
    refresh_token: string;
    expires_in: number;
}
interface StateInterface {
    users: UserInterface[];
    lastId: string | null;
}
export declare const session: {
    state: StateInterface;
    init(): void;
    getCurrent(): UserInterface | undefined;
    setCurrentId(value: string | null | undefined): void;
    setCurrentByAlias(value: string): void;
    getLast(): UserInterface | undefined;
    removeUser(id: string): void;
    addUser(user: UserInterface): void;
    clear(): void;
    save(): void;
};
export {};
