/**
 * n: length of decimal
 * x: length of whole part
 * s: sections delimiter
 * c: decimal delimiter
 */
export const formatNumber = (value, n = 2, x = 3, s = " ", c = ".") => {
    const re = "\\d(?=(\\d{" + (x || 3) + "})+" + (n > 0 ? "\\D" : "$") + ")", num = value.toFixed(Math.max(0, ~~n));
    return (c ? num.replace(".", c) : num).replace(new RegExp(re, "g"), "$&" + (s || ","));
};
